package com.lanyuanxiaoyao.bookstore

data class PageResponse<E>(
    val items: List<E>,
    val total: Long,
)

data class SingleResponse<E>(
    val data: Map<String, E>,
) {
    constructor(e: E) : this(mapOf("item" to e))
}